package com.kcim.service;

import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * @program: CostAccount
 * @description: 患者收费项目导入接口
 * @author: Wang.YS
 * @create: 2023-10-19 14:17
 **/
public interface PatientItemImportService {
    /**
     * 月度信息采集-人事成本数据导入-获取患者收费项目列表
     *
     * @param current        当前页
     * @param pageSize       页容量
     * @param computeDate    核算年月
     * @param itemType       项目类型
     * @param departmentName 科室列表
     * @param patientNo
     * @param filter
     * @return 导入列表
     */
    Object getPatientItemList(Integer current, Integer pageSize, String computeDate, String itemType, String departmentName, String patientNo, String filter);

    /**
     * 月度信息采集-人事成本数据导入-获取患者收费导入模版
     * @param response 出参
     * @return 模版
     */
    Object exportPatientItem(HttpServletResponse response);

    /**
     * 月度信息采集-人事成本数据导入-导入患者收费项目列表
     * @param computeDate 核算年月
     * @param file 文件
     */
    void importPatientItem(String computeDate, MultipartFile file);

    Object getComputeTotal(String computeDate, String itemType, String departmentName);

    void removePatientItem(String computeDate);

    Object getPatientItemPatientInfo(Integer current, Integer pageSize,String filter, String computeDate);

    void removePatientItemByFileId(String computeDate,Long fileId);

    void reducingPatientItemByFileId(String computeDate,Long fileId);
}
